Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_ip_info = client.waap.ip_info.get_ip_info(
ip="192.168.1.1",
)
print(waap_ip_info.risk_score)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapIPInfo, err := client.Waap.IPInfo.GetIPInfo(context.TODO(), waap.IPInfoGetIPInfoParams{
IP: "192.168.1.1",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapIPInfo.RiskScore)
}
curl --request GET \
--url https://api.gcore.com/waap/v1/ip-info/ip-info \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/ip-info/ip-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"whois": {
"org_id": "<string>",
"org_name": "<string>",
"net_name": "<string>",
"net_type": "<string>",
"net_range": "<string>",
"net_description": "<string>",
"cidr": 123,
"owner_type": "<string>",
"country": "<string>",
"state": "<string>",
"abuse_mail": "<string>",
"rir": "<string>"
},
"tags": [
"<string>"
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}IP Spotlight
Retrieve comprehensive IP address data
Fetch details about a particular IP address, including WHOIS data, risk score, and additional tags.
GET
/
waap
/
v1
/
ip-info
/
ip-info
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_ip_info = client.waap.ip_info.get_ip_info(
ip="192.168.1.1",
)
print(waap_ip_info.risk_score)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapIPInfo, err := client.Waap.IPInfo.GetIPInfo(context.TODO(), waap.IPInfoGetIPInfoParams{
IP: "192.168.1.1",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapIPInfo.RiskScore)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
The IP address to check
Response
Successful Response
The WHOIS information for the IP address
Show child attributes
Show child attributes
The risk score of the IP address
Available options:
NO_RISK, LOW, MEDIUM, HIGH, EXTREME, NOT_ENOUGH_DATA The tags associated with the IP address that affect the risk score
Was this page helpful?
⌘I